#include "depression.h"
#include "MersenneTwister.h"
#include <iostream>
using namespace std;

// Random number generator:

MTRand rnd;

// Pointers on input and output files:

FILE * fichierE;
FILE * fichierS;


int main()
{	
	// Parameters:

	int Nt, NbPrelim, NbGen, paspr, pas, sampleS;
	double a, rho, s, h, eaa, ead, edd, U, L, mutM, mutMstep;

	// Opens input and output files:
	bool end;
	ouvrirFichierE();
	ouvrirFichierS();
	end = false;
	
	int no = 1;
	do
	{
		//reads parameter values from input file:

		end = lireFichier(Nt, a, rho, s, h, eaa, ead, edd, U, L, mutM, mutMstep, NbPrelim, NbGen, paspr, pas, sampleS); 
					   	 // end = true if end of input file

		if (!end)		 
		{
			// Writes parameter values in output file:

			ecrireParametres(Nt, a, rho, s, h, eaa, ead, edd, U, L, mutM, mutMstep, NbPrelim, NbGen, paspr, pas, sampleS);
			 
			// Simulation:
			
			recursion(Nt, a, rho, s, h, eaa, ead, edd, U, L, mutM, mutMstep, NbPrelim, NbGen, paspr, pas, sampleS, no);  
					
			no++;
		}
	} while (!end);	
	
	// Closes files:
	fclose(fichierE);
	fclose(fichierS);		
	
	return 0 ;
}
